/*
 * ValidacionForm.java
 *
 * Created on 5 de noviembre de 2007, 11:28
 */

package javabeans;

import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import java.util.*;
/**
 *
 * @author antonio.martin
 * @version
 */

public class ValidacionForm extends org.apache.struts.action.ActionForm {
    //almacena los credenciales del usuario
    private String usuario;
    private String password;
    //almacena el mensaje asociado al resultado de la validación
    private String mensaje;
    //almacena el conjunto de teléfonos del usuario validado
    private ArrayList<Integer> telefonos;
    
    public String getUsuario() {
        return usuario;
    }
    public void setUsuario(String nombre) {
        this.usuario = nombre;
    }
    public String getPassword() {
        return password;
    }
    public void setPassword(String password) {
        this.password = password;
    } 
    public void setMensaje(String mensaje){
        this.mensaje=mensaje;
    }
    public String getMensaje(){
        return mensaje;
    }
    public ArrayList<Integer> getTelefonos() {
        return telefonos;
    }
    public void setTelefonos(ArrayList<Integer> telefonos) {
        this.telefonos = telefonos;
    }
}
